DefaultJmxSupportAgent (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.agent.DefaultJmxSupportAgent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class DefaultJmxSupportAgent

    java.lang.Object
      org.mule.AbstractAgent
          org.mule.module.management.agent.DefaultJmxSupportAgent

All Implemented Interfaces:
  Agent, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject

    public class DefaultJmxSupportAgent

extends AbstractAgent

Field Summary
`static String` | `DEFAULT_HOST`
`static String` | `DEFAULT_PORT`

Fields inherited from class org.mule.AbstractAgent
`muleContext, name`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DefaultJmxSupportAgent()`

Method Summary
`protected JdmkAgent` | `createJdmkAgent()`
`JmxAgent` | `createJmxAgent()`
`protected JmxServerNotificationAgent` | `createJmxNotificationAgent()`
`protected Log4jAgent` | `createLog4jAgent()`
`protected Mx4jAgent` | `createMx4jAgent()`
`protected YourKitProfilerAgent` | `createProfilerAgent()`
`protected RmiRegistryAgent` | `createRmiAgent()`
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`String` | `getDescription()` Should be a 1 line description of the agent
`String` | `getHost()` Getter for property 'host'.
`String` | `getPort()` Getter for property 'port'.
`void` | `initialise()` Method used to perform any initialisation work.
`protected boolean` | `isAgentRegistered(Agent agent)`
`boolean` | `isLoadJdmkAgent()` Getter for property 'loadJdmkAgent'.
`boolean` | `isLoadMx4jAgent()` Getter for property 'loadMx4jAgent'.
`boolean` | `isLoadProfilerAgent()` Getter for property 'loadProfilerAgent'.
`void` | `registered()`
`void` | `setCredentials(Map credentials)` Setter for property 'credentials'.
`void` | `setHost(String host)` Setter for property 'host'.
`void` | `setLoadJdmkAgent(boolean loadJdmkAgent)` Setter for property 'loadJdmkAgent'.
`void` | `setLoadMx4jAgent(boolean loadMx4jAgent)` Setter for property 'loadMx4jAgent'.
`void` | `setLoadProfilerAgent(boolean loadProfilerAgent)` Setter for property 'loadProfilerAgent'.
`void` | `setPort(String port)` Setter for property 'port'.
`void` | `start()`
`void` | `stop()`
`void` | `unregistered()`

Methods inherited from class org.mule.AbstractAgent
`getDependentAgents, getName, setMuleContext, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_HOST

    public static final String DEFAULT_HOST

See Also:
  Constant Field Values

### DEFAULT_PORT

    public static final String DEFAULT_PORT

See Also:
  Constant Field Values

Constructor Detail

### DefaultJmxSupportAgent

    public DefaultJmxSupportAgent()

Method Detail

### getDescription

    public String getDescription()

  Should be a 1 line description of the agent

  Specified by:
    `getDescription` in interface `Agent`
  Overrides:
    `getDescription` in class `AbstractAgent`
  Returns:
    agent description

### registered

    public void registered()

### unregistered

    public void unregistered()

### start

    public void start()
               throws MuleException

  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Throws:
    `MuleException`

### dispose

    public void dispose()

  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

### initialise

    public void initialise()
                    throws InitialisationException

  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Specified by:
    `initialise` in class `AbstractAgent`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### createJmxAgent

    public JmxAgent createJmxAgent()

### createLog4jAgent

    protected Log4jAgent createLog4jAgent()

### createRmiAgent

    protected RmiRegistryAgent createRmiAgent()

### createJmxNotificationAgent

    protected JmxServerNotificationAgent createJmxNotificationAgent()

### createMx4jAgent

    protected Mx4jAgent createMx4jAgent()

### createJdmkAgent

    protected JdmkAgent createJdmkAgent()

### createProfilerAgent

    protected YourKitProfilerAgent createProfilerAgent()

### isAgentRegistered

    protected boolean isAgentRegistered(Agent agent)

### isLoadJdmkAgent

    public boolean isLoadJdmkAgent()

  Getter for property 'loadJdmkAgent'.

  Returns:
    Value for property 'loadJdmkAgent'.

### setLoadJdmkAgent

    public void setLoadJdmkAgent(boolean loadJdmkAgent)

  Setter for property 'loadJdmkAgent'.

  Parameters:
    `loadJdmkAgent` - Value to set for property 'loadJdmkAgent'.

### isLoadMx4jAgent

    public boolean isLoadMx4jAgent()

  Getter for property 'loadMx4jAgent'.

  Returns:
    Value for property 'loadMx4jAgent'.

### setLoadMx4jAgent

    public void setLoadMx4jAgent(boolean loadMx4jAgent)

  Setter for property 'loadMx4jAgent'.

  Parameters:
    `loadMx4jAgent` - Value to set for property 'loadMx4jAgent'.

### isLoadProfilerAgent

    public boolean isLoadProfilerAgent()

  Getter for property 'loadProfilerAgent'.

  Returns:
    Value for property 'loadProfilerAgent'.

### setLoadProfilerAgent

    public void setLoadProfilerAgent(boolean loadProfilerAgent)

  Setter for property 'loadProfilerAgent'.

  Parameters:
    `loadProfilerAgent` - Value to set for property 'loadProfilerAgent'.

### getPort

    public String getPort()

  Getter for property 'port'.

  Returns:
    Value for property 'port'.

### setPort

    public void setPort(String port)

  Setter for property 'port'.

  Parameters:
    `port` - Value to set for property 'port'.

### getHost

    public String getHost()

  Getter for property 'host'.

  Returns:
    Value for property 'host'.

### setHost

    public void setHost(String host)

  Setter for property 'host'.

  Parameters:
    `host` - Value to set for property 'host'.

### setCredentials

    public void setCredentials(Map credentials)

  Setter for property 'credentials'.

  Parameters:
    `credentials` - Value to set for property 'credentials'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.